Package org.apache.cxf.annotations

# Annotation Interface Provider

@Target(TYPE) @Retention(RUNTIME) public @interface Provider

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Provider.Scope`
  `static enum`
  `Provider.Type`

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `Provider.Type`
  `value`

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `Provider.Scope`
  `scope`

- ## Element Details

  - ### value

    Provider.Type value

- - ### scope

    Provider.Scope scope
    Default:
      All